<?php
/**
 * smallads_mini.php
 * 
 * @author          alain91
 * @copyright       (C) 2009-2010 Alain91
 * @ email          alain091@gmail.com              
 * @license         GPL version 2
 *
 */

defined('PHPBOOST') OR die('Direct script access not allowed');

define('SMALLADS_LIST',		0x08);
define('SMALLADS_CONTRIB',	0x10);

function smallads_mini($position, $block)
{
	global $Cache, $User, $CONFIG_SMALLADS, $LANG;
	global $_smallads_mini, $_smallads_mini_info;
	
	load_module_lang('smallads');
	$Cache->load('smallads'); //Chargement du cache
	
	$type_options = array();
	for ($i = 1; $i <= 9; $i++) {
		if (!empty($LANG['sa_group_'.$i]))
			$type_options[$i] = $LANG['sa_group_'.$i];
		else
			break;
	}
	
	if (in_array($block, array(BLOCK_POSITION__LEFT, BLOCK_POSITION__RIGHT)))
	{
		$vertical = TRUE;
	} else {
		$vertical = FALSE;
	}

    $tpl = new Template('smallads/smallads_mini.tpl');
	
	$tpl->assign_vars(array(
		'C_VERTICAL' 		=> $vertical,
		'C_LIST_ACCES' 		=> $User->check_auth($CONFIG_SMALLADS['auth'], SMALLADS_LIST|SMALLADS_CONTRIB),
		'L_TITLE'			=> $LANG['sa_title'],
		'L_ALL_SMALLADS' 	=> $LANG['sa_title_all'],
		'L_PRICE_UNIT'		=> $LANG['sa_price_unit'],
		'U_HREF'			=> PATH_TO_ROOT.'/smallads/smallads.php',
		'L_INFO' 			=> sprintf($LANG['sa_mini_info'],$_smallads_mini_info['count'],gmdate_format('date_format', $_smallads_mini_info['date_last'])),
		));
	
	foreach($_smallads_mini as $v)
	{
		$tpl->assign_block_vars('item', array(
			'ID' 		=> $v['id'],
			'TITLE' 	=> htmlentities($v['title']),
			'CONTENTS'	=> second_parse($v['contents']),
			'TYPE' 		=> $type_options[intval($v['type'])],
			'PRICE' 	=> $v['price'],
			'DATE'		=> $LANG['sa_created'].gmdate_format('date_format_short', $v['date_created']),
			'C_PICTURE'	 => !empty($v['picture']) ? TRUE : FALSE,
			'PICTURE'	 => !empty($v['picture']) ? PATH_TO_ROOT.'/smallads/pics/'.$v['picture'] : '',
			));
	}
	
	return $tpl->parse(TEMPLATE_STRING_MODE);
}

?>